### Function

# Gimp ValueArray new_from_types

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_new_from_types (
      gchar** error_msg,
      GType first_type,
      ...
    )

#### Description [src]

Allocate and initialize a new `GimpValueArray`, and fill it with values that are given as a list of (`GType`, value) pairs, terminated by #G_TYPE_NONE.

Available since: | 3.0

#### Parameters

`error_msg` | `gchar**`
| Return location for an error message.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`first_type` | `GType`
| First type in the array, or #G_TYPE_NONE.
`...` | ``
| The remaining types in the array, terminated by #G_TYPE_NONE.

#### Return value

Returns: | `GimpValueArray`
| A newly allocated `GimpValueArray`, or `NULL` if an error happened.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.